Subject: Duplicate symbols from STL
From: [email-masked] (Laurent BloB Vaucher)

2 Aug 1998 07:13:47 -0700
Message-ID: <01bdbdee$01f76ae0$127cf2c3.cygnus.gnu-win32@joli-pc>
Reply-To: "Laurent BloB Vaucher" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: <[email-masked]>

    Hello. I recently downloaded beta 19 and tried
to compile some simple C++ stuff and I have problems
when trying to link. The linker tells me there are
duplicate symbols like basic_strings thingies. It
seems those symbols are present both in the libstdc++.a,
which seems perfectly normal, and in my .o files which
include <string> (maybe inline expansions?).
    I tried to browse the mailing list archives, but
that's not quite aesy, and I only found references to
"undefined symbols". Is there a special option I should
use with thet compiler, with the linker? Does anyone
have the same problem?

Laurent « BloB » Vaucher

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".